/*
   _===_ _           _                  ______ _     _             _ _ _
  |  ___| |         | |                 | ___ (_)   | |           (_) | |
  | |__ | | ___  ___| |_ _ __ ___ ______| |_/ /_  __| | ___  _   _ _| | | ___ _   _ _ __
  |  __|| |/ _ \/ __| __| '__/ _ \______| ___ \ |/ _` |/ _ \| | | | | | |/ _ \ | | | '__|
  | |___| |  __/ (__| |_| | | (_) |     | |_/ / | (_| | (_) | |_| | | | |  __/ |_| | |
  \____/|_|\___|\___|\__|_|  \___/      \____/|_|\__,_|\___/ \__,_|_|_|_|\___|\__,_|_|

Contrôle du Potentiomètre électronique X9C103S
Conçu pour rouler sur un Arduino-Nano 
Électro-Bidouilleur - Janvier 2020
*/

// Définition des broches du X9C103S
#define cs 6
#define ud 4
#define inc 5

void setup() 
{
  // Initialisation des broches de l'Arduino
    pinMode(cs, OUTPUT);
    pinMode(ud,OUTPUT);
    pinMode(inc,OUTPUT);
    digitalWrite(inc,HIGH);
    digitalWrite(ud,LOW);
    digitalWrite(cs,LOW);
}

// Boucle sans fin
void loop() 
{  
  for (int i=0; i<100; i++) // Curseur bougeant de position 0 à position 100
  {
    digitalWrite(ud,HIGH);
    digitalWrite(inc,LOW);
    digitalWrite(inc,HIGH);
    delay(100);
  }
  for (int i=0; i<100; i++) // Curseur bougeant de position 100 à position 0
  {
    digitalWrite(ud,LOW);
    digitalWrite(inc,LOW);
    digitalWrite(inc,HIGH);
    delay(100);
  }
}

